﻿/*
	Name
		StyleSheet.css

	Author
		10.01.2012 Pasi Keskinen

	Purpose
		FabaPortal-palvelun tyylimäärittelyt.

	Changes
        Ei muutoksia.
*/

body
{
	background-color: white;
    font-family: Arial, sans-serif;
    font-size: 10;
    color: black;
}

div#container
{	
	width: 920px;
	margin-left: auto;
	margin-right: auto;	
	border: 1px solid grey;	
}

div#top
{
	max-width: 920px;
	text-align: left;	
	padding-top: 10px;
	background-color: White;
	padding: 5px;
	border-bottom: 1px solid gray;
}

div#listTop
{
	max-width: 920px;
	text-align: left;	
	padding-top: 10px;
	background-color: White;
	padding: 5px;
	border-bottom: 1px solid gray;
	font-size: small;
}

.divErrors
{
	max-width: 920px;
	text-align: left;	
	padding-top: 10px;
	background-color: Transparent;
	padding: 5px;
	border-bottom: 1px solid gray;
	font-size: small;
}

.NoticeText
{
	padding-left: 20px;
    color: Black;
}

.ErrorText
{
	padding-left: 20px;
    color: Red;
}

#listTop td
{
	padding-left: 5px;
	padding-right: 5px;
}

#listTop select 
{
	font-size: xx-small;
}

#listTop input 
{
	font-size: xx-small;
}

#listTop textarea
{
	font-size: xx-small;
	font-family: Arial;	
}

div#summary
{	
	padding: 10px;
	float: left;
}

div#search
{	
	float: left;
	padding: 10px;	
}

div#reclamations
{
	float: left;
	padding: 10px;	
}

div#search span
{
	white-space:nowrap;
}

.borderedGridView
{
    border: Solid 1px Silver;
}

.headerBlock
{
	max-width: 920px;
	text-align: left;	
	padding-top: 10px;
	background-color: #01AA34;
	padding: 5px;
	border-bottom: 1px solid gray;
	font-weight: bold;
	display:block;
	color: White;
}

#header
{
	width:100%;
	text-align: center;
	padding-bottom: 0px;
	padding-top: 0px;
	color: White;
	background-image:url('~/Images/bg_grad40_blueDark.png');
	background-repeat:repeat-x;
	font-weight: bold;
	max-height: 40px;
	height: 40px;
}

.headerLink
{
	display:block;
	float: right;	
}

#btnHelp
{
	position: relative;	
	right:0px;
}

/*
div#search input
{
	width: 70px;
}	

div#search input.txtLong
{
	width: 150px;
}

div#search input.txtDates
{
	width: 70px;
}
*/

.txtDates
{
}

div#bottom
{
	clear:both;
}

tr.header
{	
	background-image:url('~/Images/bg_grad25_blueDark.png');
	background-repeat:repeat-x;
	height:25px;
	color:White;
}

tr.header th
{
	padding-left: 10px;
	padding-right: 10px;
	text-align:center;
}

tr.oddRow
{
	background-color: White;
	color:Black;
}

tr.evenRow
{
	background-color: #01AA34;
	color:Black;	
}

.searchPageTable td
{
	padding:5px;
}

div#grid
{
	border-collapse:collapse;
		
}

div#innerGrid
{
	width:98%;
	overflow:auto;
	margin-left:auto;
	margin-right:auto;
	padding-top:20px;
	padding-bottom:20px;
	text-align: center;
}

table#gvData
{
	width:100%;
	border:1px solid gray;	
	border-collapse: collapse;
}

.pagerGridView
{
	border:1px solid gray;
	border-collapse: collapse;	
}

.headerGridView th
{
	border-collapse: collapse;
	border-bottom:1px solid gray;
	font-family: Arial;
	font-size: xx-small;
}

.pagerContainerTd
{
	border-bottom:1px solid gray;
	border-collapse: collapse;
}

.gridRow
{	
	font-family:Arial;
	font-size:xx-small;	
}

.gridRowAlt
{
	background-color: #01AA34;
	color: White;	
	font-family:Arial;
	font-size:xx-small;
}

.gridRow td
{
    border-left: 1px solid gray;
	border-right: 1px solid gray;
	border-collapse:collapse;
	padding-left: 2px;
	padding-right: 2px;
	padding-bottom: 2px;
	padding-top: 2px;
}

.gridRowAlt td
{
    border-left: 1px solid gray;
	border-right: 1px solid gray;
	padding-left: 2px;
	padding-right: 2px;
	padding-bottom: 2px;
	padding-top: 2px;
}

.headerBtn
{
	font-family: Arial;
	font-weight: bold;
	font-size: xx-small;
	color: #666633; 
	border-color: #777777;
	border-width: 1px;
	border-style: outset;
	width: 120px;
	height: 19px;
}

.headerBtn:disabled,
.headerBtn:disabled:hover,
.headerBtn:disabled:active
{
   color: #888888;
}

.headerBtn:hover
{
   border-width: 1px;
   color: black;
   border-style: outset;
   background-color:White;
}

.headerBtn:active
{
   border-style: outset;
   color: black;
}

#top a
{
	font-size: small;
}


.pagerTd
{
	font-size:x-small;
	padding-left: 10px;
	padding-right: 10px;
	text-align:center;
}

.pagerTd a
{
	text-indent: -9999px;
}

table#MLYLPagerTableLinksAndDDL
{
	border: 0px;
}

span.disabled
{
	text-indent: -9999px;
	color:White;
	display:block;
	width:16px;
	height:16px;
}

.pagerTd select
{
	font-size:x-small;	
}

.pagerFirstLink
{
	display:block;
	float:left;
	height:16px;
	width: 16px;
	background-image:url('~/Images/resultset_first.png');	
	background-repeat:no-repeat;
}

.pagerPrevLink
{

	display:block;
	float:left;
	height:16px;
	width: 16px;
	background-image:url('~/Images/resultset_previous.png');
	background-repeat:no-repeat;
}

.pagerNextLink
{
	display:block;
	float:right;
	height:16px;
	width: 16px;
	background-image:url('~/Images/resultset_next.png');
	background-repeat:no-repeat;
}

.pagerLastLink
{
	display:block;
	height:16px;
	width: 16px;
	background-image:url('~/Images/resultset_last.png');
	background-repeat:no-repeat;
}

.pagerTd span
{
	
}

.sortButton
{
	padding-left: 5px;
	padding-bottom: 1px;
}


.paintmeblack
{
	background-color: Black;
}


.modalWindow
{
    /*background-color: #D4D0C8;*/
    background-color: White;
    border-color: #f0f0f0 #404040 #404040 #f0f0f0;
    border-style: solid;
    border-width: 2px;
    margin: 0px;
    padding: 2px;
}

.modalWindowTitle
{
    background-color: #01AA34;
    cursor: move;
    color: White;
    font-size: 14px;
    font-weight: bold;
    margin: 0px;
    padding: 2px 2px 2px .5em;
    text-align: left;
    white-space: nowrap;
}

.modalWindowContent
{
    border-style: solid;
    border-width: 2px;
    color: #000000;
    font-size: 10pt;
    margin: 2px 0px 0px 0px;
    overflow: auto;
    border-color: #D4D0C8;
}

.modalWindowButtonsPanel {
    padding: 3px;
    text-align: right;
    padding-top: 6px;
    border-top: solid 1px #AAA;
}

.modalWindowButtonsPanel input {
/*    min-width: 80px;*/
    margin: 0px 2px 2px 6px;
}

.modalBackground
{
    background-color: Gray;
    opacity: 0.3;
    filter: alpha(opacity = 30);
}

.messageWindowContent
{
    margin: 5px;
    padding: 5px;
    font-size: larger;
    max-width: 300px;
}

fieldset
{
    padding: 5px;
}

.modalTable
{
	vertical-align:middle; 
	text-align:left;
	border: none; 
}

.modalTd
{
	vertical-align:middle;
}

input[disabled] 
{
	background-color: Silver;
	color: GrayText;
}

#msgValidationErrors
{
	border: 1px solid black;
	background-color: #01AA34;
	font-size: medium;
}

.modalWindowButtonsPanel input
{
	font-family: Arial;
	font-weight: bold;
	font-size: xx-small;
	color: #666633; 
	border-color: #777777;
	border-width: 1px;
	border-style: outset;
	width: 120px;
	height: 19px;
}

.modalWindowButtonsPanel input:hover
{
   border-width: 1px;
   color: black;
   border-style: outset;
   background-color:White;
}

.modalWindowButtonsPanel input:active
{
   border-style: outset;
   color: black;
}

.cmdButton
{
    background-color: #01AA34;
    color: White;
}

.tdProductDetailHeader
{
	background-color: #01AA34;
	color: White;	
}

.tdProductDetail
{
    background-color: White;
    color: Black;
}
